ApiExternalAccountType (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiExternalAccountType

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiExternalAccountType

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiExternalAccountType
      extends Object

  A supported external account type. An external account type represents an external authentication source that is used by Cloudera Manager in its APIs to take suitable actions that require authentication to an external service. An external account type is uniquely identified by a server-generated ID and identifies with a category identifier: e.g. The \"AWS\" category has an account type \"AWS_Access_Key_Authorization\"

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiExternalAccountType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiExternalAccountType` | `allowedAccountConfigs(ApiConfigList allowedAccountConfigs)`
    `ApiExternalAccountType` | `categoryName(String categoryName)`
    `ApiExternalAccountType` | `description(String description)`
    `ApiExternalAccountType` | `displayName(String displayName)`
    `boolean` | `equals(Object o)`
    `ApiConfigList` | `getAllowedAccountConfigs()` Represents the list of allowed account configs.
    `String` | `getCategoryName()` Represents the category of this account.
    `String` | `getDescription()` Represents the localized description for this account type.
    `String` | `getDisplayName()` Represents the localized display name for this account.
    `String` | `getName()` Represents the immutable name for this account.
    `String` | `getType()` Represents the type for this account.
    `int` | `hashCode()`
    `ApiExternalAccountType` | `name(String name)`
    `void` | `setAllowedAccountConfigs(ApiConfigList allowedAccountConfigs)`
    `void` | `setCategoryName(String categoryName)`
    `void` | `setDescription(String description)`
    `void` | `setDisplayName(String displayName)`
    `void` | `setName(String name)`
    `void` | `setType(String type)`
    `String` | `toString()`
    `ApiExternalAccountType` | `type(String type)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiExternalAccountType

          public ApiExternalAccountType()

  - ### Method Detail

    - #### name

          public ApiExternalAccountType name(String name)

    - #### getName

          public String getName()

      Represents the immutable name for this account.
      Returns:
        name

    - #### setName

          public void setName(String name)

    - #### categoryName

          public ApiExternalAccountType categoryName(String categoryName)

    - #### getCategoryName

          public String getCategoryName()

      Represents the category of this account.
      Returns:
        categoryName

    - #### setCategoryName

          public void setCategoryName(String categoryName)

    - #### type

          public ApiExternalAccountType type(String type)

    - #### getType

          public String getType()

      Represents the type for this account.
      Returns:
        type

    - #### setType

          public void setType(String type)

    - #### displayName

          public ApiExternalAccountType displayName(String displayName)

    - #### getDisplayName

          public String getDisplayName()

      Represents the localized display name for this account.
      Returns:
        displayName

    - #### setDisplayName

          public void setDisplayName(String displayName)

    - #### description

          public ApiExternalAccountType description(String description)

    - #### getDescription

          public String getDescription()

      Represents the localized description for this account type.
      Returns:
        description

    - #### setDescription

          public void setDescription(String description)

    - #### allowedAccountConfigs

          public ApiExternalAccountType allowedAccountConfigs(ApiConfigList allowedAccountConfigs)

    - #### getAllowedAccountConfigs

          public ApiConfigList getAllowedAccountConfigs()

      Represents the list of allowed account configs.
      Returns:
        allowedAccountConfigs

    - #### setAllowedAccountConfigs

          public void setAllowedAccountConfigs(ApiConfigList allowedAccountConfigs)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.